--[[This is a little example of the logic used by my cutscene manager.
I have added few actions and a scene just to show how it works.
The logic used is more important that the code itself since any of us have their own animators, movement handlers and so on.
Once the logic is grasped adding your own functions as actions will make it easy to create your cutscenes.

-denis

--]]

require "library.lovease"

require "scene"

function love.load(args)
    
    scene:start()
    
end


function love.update(dt)
    
    scene:update(dt)
end

function love.draw()
    
    scene:draw()
end




--I use a general key handler but in this example for simplicity 
--let's just use an action key for the actions to check if they need.
function love.keyreleased( key, scancode )
    if scancode == "e" then
        scene.actionkey = true
    end
    
end

function love.keypressed( key, scancode )
    
    if scancode == "e" then
        scene.actionkey = false
    end
end
    

